Installare Mplayer e i Plugin senza avere errori

Mar, 12/07/2005 - 16:59

Installare Mplayer e i Plugin senza avere errori

Inviato da rufus 4 commenti
Come Installare Mplayer e la sua gui dai sorgenti senza avere problemi di dipendenze

La mia esperienza nella installazione di mplayer mi ha portato a seguire un procedimendo che si può definire misto. Infatti si deve usare sia il noto metodo apt-get e anche il metodo del tar. Questo perchè utilizzando solo aptper caricare qualsiasi mplayer il 386, il 586 e il 686 a me personalmente dopo l'installazione andata a buon fine, chiamdo l'eseguibile mplayer mi dava il seguente errore

mplayer:relocation error: /usr/lib/libavcodec-cvs.so: undefined
mplayer:relocation error: /usr/lib/libavcodec-cvs.so: undefined symbol: faacDecOpen..

Il trucco che ho escogitato per ovviare a questo problema è quello di caricare le sorgenti. Solo che per avere tutto bene bisogna caricare le GDK che in debian con apt-get risulta molto facile le due librerie per la SARGE sono queste gdk-imlib1 e gdk-imlib1-dev ma credo anche per le altre distribuzioni debian.
Dopo averle installate si passa alla compilazione del Mplayer che troverete in http://www.mplayerhq.hu sezione download. Scaricate la Mplayer"Versione".tar.bz2
Scaricate pure i Font font-arial-iso-8859-1.ter.bz2 e anche le SKINS esempio Blue-1.4.tar.bz2. Una volta scaricato il tutto procediamo alla vera è propria installazione di Mplayer completo ecco i passi:

1) con apt-cache search mplayer , vedere se nella lista è presente il file che indica i codec w32codecs
2) Installare con apt-get install w32codecs
3) Eseguire la procedura di installazione di Mplayer in queesto modo:

$ tar -xvjf MPlayer"versione".bz2

si verrà ha creare una directory mplayer che dovrete spostare in /usr/local/share con il seguente comando:

# mv mplayer /usr/local/share

poi una volta spostata la directory ci si posiziona in mplayer e si esegue il seguente comando:

# ./configure --enable-gui --language=it --with-codecsdir=/usr/lib/win32

si vede che la shell sputa fuori una serie di procedure che dureranno circa 5 minuti, quando si finisce si esegue il seguente comando:

# make

alla fine del make eseguire:

# make install

4) Scompattare i Fonts con:

# tar -xvjf font-arial-iso-8859-1.tar.bz2

copiare i file presenti nella directory in /usr/local/share/mplayer/font

5) Scompattre la skin:

# tar -xvjf Blue-1.4.tar.bz2

6) Creare una diretory Skin in /usr/local/share/mplayer
7) Spostare la directory Blue in /usr/local/share/mplayer/Skin

ATTENZIONE FINO ADESSO ABBIAMO INSTALLATO SOLO MPLAYER ADESSO PASSIAMO AI PLUGINS PER MOZILLA:

Utilizziamo il sistema apt-get installiamo mozilla-mplayer e xmms-xmmplayer non facendo caso alle dipendenze che si tirano.
Adesso avrete il vostro mplayer completo e anche i plugin per navigare con mozilla e firefox. per maggior sicurezza andate in un qualunque sito che abbia dei video e provate a vederli.

Per lanciare Mplayer basta scrivere da shell gmplayer -skin Blue

Con questa procedura avete anche caricato Mencoder ottimo software per eseguire rippaggi di DVD.

In:



Commenti

Ritratto di submax
#1

Inviato da submax il Lun, 18/07/2005 - 17:48.

complimenti

io aggiungerei --prefix=/usr --confdir=/etc/mplayer nel configure

io per creare il pacchetto deb farei

DEB_BUILD_OPTIONS="--enable-gui --enable-menu --prefix=/usr --confdir=/etc/mplayer --language=it --with-codecsdir=/usr/lib/win32" fakeroot debian/rules binary

go debian! Laughing



Ritratto di totonno
#2

Inviato da totonno il Mer, 21/09/2005 - 21:26.

Re: complimenti

Ho seguito passo passo la guida (veramente ben fatta) ma al comando:
./configure --enable-gui --language= it --whith-codecsdir=/usr/lib/win32
restituisce l'errore:
Unknown parameter: --whith-codecsdir=/usr/lib/win32
Dove sbaglio?
:idea:
Sbaglio a non sapere l'inglese, è with non whith :-P



Ritratto di ferretti75
#3

Inviato da ferretti75 il Gio, 25/05/2006 - 11:09.

non mi vanno i plugins

nn mi funziano i plugins Sad :(
ecco l'errore (apt-get)

The following packages have unmet dependencies:
mozilla-mplayer: Depends: mplayer (>= 1.0-pre5) but it is not installable or

apt-get -a beer



Ritratto di rufus
#4

Inviato da rufus il Gio, 08/06/2006 - 00:03.

Re: non mi vanno i plugins

Che versione hai di debian?
Se hai la sarge commenta i repository della sarge metti i repository di unstable fai apt-get update e poi scarica
mozilla-mplayer , alle fine commenta i repository unstable e rimetti quelli sarge e fai apt-get update. Ciao Wink